html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
    position: relative;
    min-height: 100%;
}

body {
    margin: 0;
    padding: 0;
}

.virtual-card-container {
    position: relative;
    display: inline-block;
    font-weight: 500;
    font-size: 26px;
    min-height: 250px;
    min-width: 350px;
}

    .virtual-card-container img {
        display: block;
        width: 100%;
        max-width: 500px;
        height: auto;
        width: 500px;
    }

    .virtual-card-container .card-number {
        position: absolute;
        bottom: 125px;
        left: 50px;
    }

    .virtual-card-container .card-cvv {
        position: absolute;
        bottom: 50px;
        left: 50px;
        font-size: 24px;
        line-height: 24px;
    }

    .virtual-card-container .card-date {
        position: absolute;
        bottom: 50px;
        left: 150px;
        font-size: 24px;
        line-height: 24px;
    }

#mfaForm,
.virtual-card {
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin: auto;
    align-items: center;
}

    #mfaForm input[type="text"] {
        padding: 12px 16px;
        font-size: 16px;
        border: 1px solid #ccc;
        border-radius: 8px;
        outline: none;
        text-align: center;
        max-width: 1000px;
    }

        #mfaForm input[type="text"]:focus {
            border-color: #3b82f6;
            box-shadow: 0 0 0 4px rgba(59, 130, 246, 0.15);
        }

.mfa-container {
    padding: 40px;
    width: 100%;
    text-align: center;
}

#mfaForm button,
.virtual-card button {
    padding: 14px 50px;
    font-weight: 600;
    border-radius: 10px;
    border: none;
    box-shadow: 0 4px 12px rgba(59, 130, 246, 0.3);
    max-width: 250px;
    color: white;
    background-color: #00388f;
    transition: background-color 0.3s ease;
}

    #mfaForm button:hover,
    .virtual-card button:hover {
        background-color: #0057b8;
    }

    #mfaForm button:disabled {
        background-color: grey !important;
        cursor: not-allowed;
    }

.validation-summary-errors ul {
    list-style-type: none;
    padding-left: 0;
    padding-right: 0;
}
